Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#488 closed defect (fixed)

taskcreate doesn't initialize notepad registers

Reported by: mikeci Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: score Version: 4.6
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Hi!

Notepad registers are not initialized to 0 in taskcreate. As such they can contain some random values.

Release:
RTEMS-4.6

Environment:
All

How-To-Repeat:
Create a task, dump notepad registers. Delete task and create same task again. dump notepad registers.

Attachments (2)

pr488.diff (1.3 KB) - added by mikeci on 12/03/06 at 13:31:13.
pr488.diff
taskcreate.diff (111 bytes) - added by mikeci on 12/03/06 at 13:31:13.
taskcreate.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 09/11/03 at 15:50:13 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Clearing in taskcreate.c only addresses tasks created with

that API. Doing it in tasks.c (_RTEMS_tasks_Create_extension)
fixes it all tasks independent of the API they were created with.
Remember that with RTEMS POSIX threads and Classic API
tasks still have the same underlying characteristics.


My version is attached as pr488.diff which also fixes some
spacing in taskcreate.c comments. Applied to both the
CVS trunk and 4.6 branch.


FWIW this is a known behavior that has lingered with someone
complaining about it every so often. This time it just got asked about one too many times. :)

Changed on 12/03/06 at 13:31:13 by mikeci

Attachment: taskcreate.diff added

taskcreate.diff

Note: See TracTickets for help on using tickets.